import { Component, Input, HostBinding } from '@angular/core';
import { NgxLoremIpsumService } from './ngx-lorem-ipsum.service';
export var NgxLoremIpsumComponent = (function () {
    function NgxLoremIpsumComponent(service) {
        this.service = service;
        this.paragraphsCount = 0;
    }
    NgxLoremIpsumComponent.prototype.ngOnChanges = function () {
        this.setText();
    };
    NgxLoremIpsumComponent.prototype.setText = function () {
        if (this.min != undefined && this.max != undefined) {
            this.text = this.service.getRandom(+this.min, +this.max, +this.paragraphsCount);
        }
        else {
            this.text = this.service.get(+this.count, +this.paragraphsCount);
        }
    };
    NgxLoremIpsumComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ngx-lorem-ipsum',
                    template: ''
                },] },
    ];
    /** @nocollapse */
    NgxLoremIpsumComponent.ctorParameters = function () { return [
        { type: NgxLoremIpsumService, },
    ]; };
    NgxLoremIpsumComponent.propDecorators = {
        'count': [{ type: Input },],
        'min': [{ type: Input },],
        'max': [{ type: Input },],
        'paragraphsCount': [{ type: Input },],
        'text': [{ type: HostBinding, args: ['innerHTML',] },],
    };
    return NgxLoremIpsumComponent;
}());
//# sourceMappingURL=ngx-lorem-ipsum.component.js.map